import javax.swing.*;
public class H2YOEx7
{	
public static void main(String args[])
{
double y=Double.parseDouble(JOptionPane.showInputDialog("Bir sayı giriniz:"));
//statik metodları başka sınıftan çağırma
String s=" exp("+y+") = "+H2YOEx5.exp(y);
String s1="exp statik metodunu H2YOEx5 den çağırma :";
JOptionPane.showMessageDialog(null,s,s1,JOptionPane.PLAIN_MESSAGE);	
s=" kare("+y+") = "+H2YOEx5.kare(y);
s1="kare statik metodunu H2YOEx5 den çağırma :";
JOptionPane.showMessageDialog(null,s,s1,JOptionPane.PLAIN_MESSAGE);	
//dinamik metodları başka sınıftan çağırma
H2YOEx6 z=new H2YOEx6();
s=" exp("+y+") = "+z.exp(y);
s1="exp dinamik metodunu H2YOEx6 den çağırma :";
JOptionPane.showMessageDialog(null,s,s1,JOptionPane.PLAIN_MESSAGE);
s=" kare("+y+") = "+z.kare(y);
s1="kare dinamik metodunu H2YOEx6 den çağırma :"; 
JOptionPane.showMessageDialog(null,s,s1,JOptionPane.PLAIN_MESSAGE);	
}}